%define oname gTweakUI
Summary:        Extra configuration dialogues for gnome
Name:           gtweakui
Version: 0.4.0
Release:        %mkrel 5
Group:          Graphical desktop/GNOME
URL:            http://gtweakui.sourceforge.net/
License:        GPL
Source0:        http://prdownloads.sourceforge.net/gtweakui/%{oname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  libgnomeui2-devel >= 2.4.0
BuildRequires:  libglade2.0-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils

%description
With gTweakUI you can configure the GNOME desktop using extra
configuration dialogs.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x
%make
  
%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang gTweakUI
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/gtweakui-menus" \
	needs="gnome" \
	section="System/Configuration/GNOME/Advanced" \
	title="Menus" \
	startup_notify="true" \
	icon="%_datadir/gTweakUI/g.png" \
	longtitle="Extra preferences for application menus" xdg="true"
?package(%{name}): \
	command="%{_bindir}/gtweakui-session" \
	needs="gnome" \
	section="System/Configuration/GNOME/Advanced" \
	title="Session" \
	startup_notify="true" \
	icon="%_datadir/gTweakUI/g.png" \
	longtitle="Extra session preferences" xdg="true"
?package(%{name}): \
	command="%{_bindir}/gtweakui-nautilus" \
	needs="gnome" \
	section="System/Configuration/GNOME/Advanced" \
	title="Nautilus" \
	startup_notify="true" \
	icon="%_datadir/gTweakUI/g.png" \
	longtitle="Extra nautilus preferences" xdg="true"
?package(%{name}): \
	command="%{_bindir}/gtweakui-galeon" \
	needs="gnome" \
	section="System/Configuration/GNOME/Advanced" \
	title="Galeon" \
	startup_notify="true" \
	icon="%_datadir/gTweakUI/g.png" \
	longtitle="Extra galeon preferences" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME-Advanced" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files -f gTweakUI.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README TODO FAQ
%{_bindir}/gtweakui-galeon
%{_bindir}/gtweakui-menus
%{_bindir}/gtweakui-session
%{_bindir}/gtweakui-nautilus
%_datadir/%oname
%{_datadir}/applications/gtweakui-galeon.desktop
%{_datadir}/applications/gtweakui-menus.desktop
%{_datadir}/applications/gtweakui-session.desktop
%{_datadir}/applications/gtweakui-nautilus.desktop
%_menudir/%name


%changelog
* Fri Aug 03 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-5mdv2008.0
+ Revision: 58478
- Import gtweakui



* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 0.4.0-5mdv2007.0
- xdg menu

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 0.4.0-4mdk
- rebuild to remove glitz dep

* Wed Aug 24 2005 Götz Waschk <waschk@mandriva.org> 0.4.0-3mdk
- Rebuild

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- fix buildrequires

* Thu Aug 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- add icons to the menu
- enable startup notification
- add gtweakui-galeon
- add locale files
- New release 0.4.0

* Thu Jun 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6-2mdk
- fix buildrequires

* Wed Jun  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6-1mdk
- initial mdk package

* Sun May 30 2004 Daniel James <daniel@netbreeze.com.au>
- Fixed the issue with the session splash preview not displaying for gnome 2.6
- Updated build system to check for new gtk file chooser dialog
- Use new gtk file chooser dialog if it is available.

* Fri May 28 2004 Daniel James <daniel@netbreeze.com.au>
- Made session.c more usable - second dialog is much nicer now.

* Thu May 27 2004 Daniel James <daniel@netbreeze.com.au>
- Added notice dialog: tells the use which settings require restart
- Added notices to menus.c
- Finished session.c - second dialog completed.
- Added notices to session.c

* Tue May 25 2004 Daniel James <daniel@netbreeze.com.au>
- Better about dialog.

* Mon Feb 24 2003 Daniel James daniel@netbreeze.com.au 0.0.1
- Initial RPM release.
